# 63. Мутація: Зберегти організацію

Мутація для додавання або редагування «Організації». «Користувач», який відправив запит saveOrganization, буде власником «Організації».

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутація saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Назва організації"
      surname: "Прізвище власника"
      givenName: "Ім'я власника"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    назва
    прізвище
    ім'я
    email
    телефон
    датаСтворення
    updatedDate
  }
}
```

{% endcode %}

Щоб редагувати існуючу «Організацію», додайте атрибут uuid до запиту.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутація saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "Нова назва організації"
      surname: "Прізвище власника"
      givenName: "Ім'я власника"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    назва
    прізвище
    ім'я
    email
    телефон
    датаСтворення
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/63.-mutaciya-zberegti-organizaciyu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
